﻿using UnityEngine;
using System.Collections;

public class Asteroids : MonoBehaviour {


	public float hp;
	public float speed;
	public Transform thisAst;
	public CircleCollider2D col;
	public Rigidbody2D rigAst;
	public bool dead;

	// Use this for initialization
	void Start () {
		thisAst = this.transform;
		dead = false;
		col = thisAst.GetComponent<CircleCollider2D>();
		rigAst = thisAst.GetComponent<Rigidbody2D>();


	}

	void OnCollisionEnter2D(Collision2D col){
		if(col.gameObject.tag == "Player"){
			Physics2D.IgnoreCollision(this.collider2D, col.collider);
			gameObject.Recycle();
			Debug.Log ("Dead");
		}
	}
	
	// Update is called once per frame
	void FixedUpdate () {
		rigAst.AddForce(new Vector2(-0.5f,-0.5f));

		if ( dead == false && gameObject.transform.position.y < -5) {
			dead = true;
			SpawnManager.instance.numAsts -= 1;
			gameObject.Recycle();

		}
		if (hp <= 0) {
			gameObject.Recycle();
		}

	}
}
