﻿using UnityEngine;
using System.Collections;


public class PlayerController : MonoBehaviour {
	
	public float speed =1.0f;
	public string axisName1 = "Horizontal_P1";
	public string axisName2 = "Vertical_P1";
	public Animator anim;


	// Use this for initialization
	void Start () {
		anim = gameObject.GetComponent<Animator> ();
	}
	
	// Update is called once per frame
	void FixedUpdate () {
		//anim.SetFloat("Speed", Mathf.Abs(Input.GetAxis(axisName)));
		if (Input.GetAxis (axisName1) < 0)
		{
			Vector3 newScale = transform.localScale;
			newScale.y = 1.0f;
			newScale.x = 1.0f;
			transform.localScale = newScale;
		} 
		else if (Input.GetAxis (axisName1) > 0)
		{
			Vector3 newScale =transform.localScale;
			newScale.x = 1.0f;
			transform.localScale = newScale;        
		}

		transform.position += transform.right *Input.GetAxis(axisName1)* speed * Time.deltaTime;

		if (Input.GetAxis (axisName2) < 0)
		{
			Vector3 newScale = transform.localScale;
			newScale.x = 1.0f;
			newScale.y = 1.0f;
			transform.localScale = newScale;
		} 
		else if (Input.GetAxis (axisName2) > 0)
		{
			Vector3 newScale =transform.localScale;
			newScale.y = 1.0f;
			transform.localScale = newScale;        
		}
		
		transform.position -= transform.up *Input.GetAxis(axisName2)* speed * Time.deltaTime;
	
		

	}

	void LateUpdate(){

		PlayerMoveClamp();

	}

	void PlayerMoveClamp(){

		var viewpointCoord = Camera.main.WorldToViewportPoint(transform.position);

		if (viewpointCoord.x < 0.0f)
		{

			viewpointCoord.x = 0.0f;
			transform.position = Camera.main.ViewportToWorldPoint(viewpointCoord);
		}
		else if (viewpointCoord.x > 1.0f)
		{

			viewpointCoord.x = 1.0f;
			transform.position = Camera.main.ViewportToWorldPoint(viewpointCoord);
		}

		if (viewpointCoord.y < 0.0f)
		{

			viewpointCoord.y = 0.0f;
			transform.position = Camera.main.ViewportToWorldPoint(viewpointCoord);
		}
		else if (viewpointCoord.y > 1.0f)
		{

			viewpointCoord.y = 1.0f;
			transform.position = Camera.main.ViewportToWorldPoint(viewpointCoord);
		}


	}
}